> For the complete documentation index, see [llms.txt](https://docs.sensepass.com/sensepay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sensepass.com/sensepay/transaction-api/payment-flows/payment-commit.md).

# Payment Commit

Payment commit is a mechanisim that allows SensePass to get acknowledgement from the POS or e-commerce website that the payment approval event identified and processed by the POS or e-commerce website.&#x20;

This entity will be included in transaction-entity only for "Approved" status.

You are required to parse this entity and check whether the flag "isPaymentCommitted" (see below) is "true", in this case call "commitLink" URL with GET method, without any additional headers or query params. Calling this API will mark the transaction as "Payment Committed".

#### Payment Commit Model <a href="#payment-commit-model" id="payment-commit-model"></a>

This model is referenced in "paymentCommit" field of transaction-entity response body

<table><thead><tr><th width="224">Name</th><th width="139">Type</th><th>Description</th></tr></thead><tbody><tr><td>message</td><td>string</td><td><p>example: Payment commit is enabled for this transaction</p><p></p><p>Human readable message about the status of the payment commit</p></td></tr><tr><td>isPaymentCommitted</td><td>boolean</td><td><p>example: false</p><p></p><p>Flag indicating whether the commit is performed</p></td></tr><tr><td>secondsToCommit</td><td>number</td><td><p>example: 60</p><p></p><p>Remaining time in seconds to commit this payment</p></td></tr><tr><td>commitLink</td><td>string</td><td><p>example: https://api.sensepass.com/api/transactions/commitPayment/ec2dc489d161aa27a803f48bcf5ffcf</p><p></p><p>URL of the API to call in GET method in order to mark this transaction as payment committed</p></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sensepass.com/sensepay/transaction-api/payment-flows/payment-commit.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
